﻿@using System.Web.UI.WebControls;
@{Layout = "~/Views/Shared/_Layout.cshtml";}
@Html.Partial("~/Views/Shared/_PartialScript.cshtml")
@Html.Partial("_ProblemReportCreationScript")
<div class="content">
	<table style="width: 100%">
		<tr>
			<td style="width:20%;">
				<table >
					<tr style="height:30px">
                        <td style="width: 5%;">
							@Html.DevExpress().TextBox(hsettings =>
							{
							hsettings.Name = "Process_ID2";
							hsettings.ClientVisible = false;
							}).GetHtml()
							@Html.DevExpress().Label(
							Label =>
							{
							Label.Text = "Problem Origin";
							Label.Width = 120;
							}).GetHtml()
						</td>
                          <td>
							@Html.DevExpress().ComboBox(
							settings =>
							{
                                settings.Name = "I_PROBLEM_ORIGIN";
                                settings.Width = 185;
							    settings.Properties.DropDownWidth = 150;
							    settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
							    settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
							    settings.Properties.ValueType = typeof(string);
                                settings.Properties.ValueField = "COMBO_LABEL";
                                settings.Properties.TextField = "COMBO_LABEL";
                                settings.SelectedIndex = 0;
                                settings.Properties.ClientSideEvents.SelectedIndexChanged = "function(s, e) { SetCostCenter(); I_PROBLEM_CATEGORY.PerformCallback(); }";
                            }).BindList(ViewData["PROBLEM_ORIGIN"]).GetHtml()
                          </td>
					</tr>
					<tr style="height:30px">
                        <td style="width: 5%;">
							@Html.DevExpress().Label(
							Label =>
							{
							Label.Text = "Problem Category";
                            Label.Width = 120;
							}).GetHtml()
						</td>
                          <td>
                        	    @Html.Partial("_PartialCombobox")
                          </td>
					</tr>
					<tr style="height:30px">
                        <td style="width: 5%;">
							@Html.DevExpress().Label(
							Label =>
							{
                                Label.Text = "Cost Center";
                                Label.Width = 120;
							}).GetHtml()
						</td>
                          <td>
							@Html.DevExpress().TextBox(
							settings =>
							{
                                settings.Properties.MaxLength = 15;
                                settings.Name = "I_COST_CENTER";
                                settings.Width = 185;
                                settings.Properties.ClientSideEvents.Init = "SetFocus";
	    						settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                settings.Properties.ClientSideEvents.KeyUp = "searchByEntered";
							}
							).GetHtml()
                          </td>
					</tr>
				</table>
			</td>
			<td style="width:60%;">
				<table width="100%">
					<tr style="height:40px">
						<td style="width: 25%;" align="right">
                              @Html.DevExpress().TextBox(
                                settings =>
                                {
                                    settings.Name = "I_SCAN";
                                    //settings.Text = "SL18K08AA01";
                                    settings.ControlStyle.Font.Size = 25;
                                    settings.Width = 500;
                                    settings.Height = 30;
                                    settings.Properties.MaxLength = 25; 
                                    settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                                    settings.Properties.NullText = "KANBAN ID";
                                    //settings.ControlStyle.CssClass = "TextBoxClass"; 
                                    settings.Properties.ClientSideEvents.KeyDown = "function(s, e){ var keyCode = ASPxClientUtils.GetKeyCode(e.htmlEvent);if (keyCode === 9 ) {SaveData(s,e);} }";
                                    settings.Properties.ClientSideEvents.KeyUp = "function(s, e){ var keyCode = ASPxClientUtils.GetKeyCode(e.htmlEvent);if (keyCode === 13 ) {SaveData(s,e);} }";
                                    //settings.Properties.ClientSideEvents.TextChanged = "SaveData";
                                    //settings.PropertiesEdit.Style.Border.BorderStyle = System.Web.UI.WebControls.BorderStyle.None;
                                }).GetHtml()
						</td>
					</tr>
                    <tr style="height:10px"></tr>
					<tr>
						<td colspan="8" align="right">
                                @Html.DevExpress().Button(edtSetting =>
							    {
							    edtSetting.Name = "cmdSend";
							    edtSetting.Width = 80;
							    edtSetting.Text = "Send";
                                edtSetting.ClientSideEvents.Click = "SendDataToIppcs";
							    edtSetting.Style.Add("display", "inline-table");
							    edtSetting.UseSubmitBehavior = true;
							    //         edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartPriceMaster", "FTR-SPEX-158-02", "SAVE");
							    }).GetHtml()

                                @Html.DevExpress().Button(edtSetting =>
							    {
							    edtSetting.Name = "cmdSave";
							    edtSetting.Width = 80;
							    edtSetting.Text = "Save";
                                edtSetting.ClientSideEvents.Click = "SaveData";
							    edtSetting.Style.Add("display", "inline-table");
							    edtSetting.UseSubmitBehavior = true;
							    //         edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartPriceMaster", "FTR-SPEX-158-02", "SAVE");
							    }).GetHtml()
				                @Html.DevExpress().Button(edtSetting =>
				                {
				                edtSetting.Name = "cmdEdit";
				                edtSetting.Width = 80;
				                edtSetting.Text = "Edit";
				                edtSetting.ClientSideEvents.Click = "EditData";
				                edtSetting.Style.Add("display", "inline-table");
				                edtSetting.UseSubmitBehavior = true;
				                edtSetting.ClientVisible = true;
				                //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PriceMaster", "FTR-SPEX-125-02", "DELETE");
				                }).GetHtml()
				                @Html.DevExpress().Button(edtSetting =>
				                {
				                edtSetting.Name = "cmdDelete";
				                edtSetting.Width = 80;
				                edtSetting.Text = "Delete";
				                edtSetting.ClientSideEvents.Click = "DeleteData";
				                edtSetting.Style.Add("display", "inline-table");
				                edtSetting.UseSubmitBehavior = true;
				                //            edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartPriceMaster", "FTR-SPEX-158-02", "DELETE");
				                }).GetHtml()
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<tr>
			</br>
		</tr>
		<tr>
			<td colspan="2">
				<hr />
			</td>
		</tr>
		
	</table>
</div>
<div class="content" style="min-height: 300px">
	@Html.Partial("ProblemReportCreationGrid")
</div>